Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1596832

Summary: [abrt] firefox: mozilla::dom::ContentChild::~ContentChild(): firefox killed by SIGSEGV
Product: [Fedora] Fedora Reporter: jakob.jakobson18
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: 0xalen, a6181252, afarrag, alexl, allen, andrew0allgood, anper1979, benjamin03112, bugzilla.10.cyrils, christ_cb, cleyes, domival, fedora, frsswdn, gecko-bugs-nobody, geospyr2001, gruszczynskit, hernantz, himik75, ignace.bienville, jamesbdonovan, jan.public, jeharris, jhorak, john.j5live, john.roden, jonathon.poppleton, kdubrick, kxra, marcin.adam.lewandowski, me, paulim.hardware, pjasicek, ramprasadg, rhughes, richardherist, rstrode, sandmann, the.triglav, xbrico, xx5aledxx
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/4b2b345775fe0215389e4883a454756d8ac31dff
Whiteboard: abrt_hash:a4f86c7dc8f34160fc9f126fa5daf88ed49a27b9;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: cpuinfo
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: mountinfo
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description jakob.jakobson18 2018-06-29 18:57:51 UTC
Version-Release number of selected component:
firefox-61.0-4.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 3 -isForBrowser -boolPrefs 183:1|299:0| -stringPrefs 285:36;bcf82d38-d580-44d4-bbed-44d3ed01f9c2| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 6370 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=5a46565d5cbb4ff2bc4dcb073e270ec6;i=1ab9;b=ebcaa5eb3552487faf6d2caad2bebb77;m=e9ab0908;t=56fcc1921371e;x=23de887a0086c69d
kernel:         4.16.16-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 mozilla::dom::ContentChild::~ContentChild at /usr/src/debug/firefox-61.0-4.fc28.x86_64/dom/ipc/ContentChild.cpp:571
 #2 mozilla::dom::ContentProcess::~ContentProcess at /usr/src/debug/firefox-61.0-4.fc28.x86_64/dom/ipc/ContentProcess.h:34
 #4 nsAutoPtr<mozilla::ipc::ProcessChild>::~nsAutoPtr at /usr/src/debug/firefox-61.0-4.fc28.x86_64/toolkit/xre/nsEmbedFunctions.cpp:697
 #5 XRE_InitChildProcess(int, char**, XREChildData const*) at /usr/src/debug/firefox-61.0-4.fc28.x86_64/toolkit/xre/nsEmbedFunctions.cpp:697
 #6 content_process_main at /usr/src/debug/firefox-61.0-4.fc28.x86_64/browser/app/../../ipc/contentproc/plugin-container.cpp:50

Comment 1 jakob.jakobson18 2018-06-29 18:57:59 UTC
Created attachment 1455553 [details]
File: backtrace

Comment 2 jakob.jakobson18 2018-06-29 18:58:01 UTC
Created attachment 1455554 [details]
File: cgroup

Comment 3 jakob.jakobson18 2018-06-29 18:58:02 UTC
Created attachment 1455555 [details]
File: core_backtrace

Comment 4 jakob.jakobson18 2018-06-29 18:58:04 UTC
Created attachment 1455556 [details]
File: cpuinfo

Comment 5 jakob.jakobson18 2018-06-29 18:58:06 UTC
Created attachment 1455557 [details]
File: dso_list

Comment 6 jakob.jakobson18 2018-06-29 18:58:08 UTC
Created attachment 1455558 [details]
File: environ

Comment 7 jakob.jakobson18 2018-06-29 18:58:09 UTC
Created attachment 1455559 [details]
File: exploitable

Comment 8 jakob.jakobson18 2018-06-29 18:58:11 UTC
Created attachment 1455560 [details]
File: limits

Comment 9 jakob.jakobson18 2018-06-29 18:58:13 UTC
Created attachment 1455561 [details]
File: maps

Comment 10 jakob.jakobson18 2018-06-29 18:58:14 UTC
Created attachment 1455562 [details]
File: mountinfo

Comment 11 jakob.jakobson18 2018-06-29 18:58:16 UTC
Created attachment 1455563 [details]
File: open_fds

Comment 12 jakob.jakobson18 2018-06-29 18:58:17 UTC
Created attachment 1455564 [details]
File: proc_pid_status

Comment 13 jakob.jakobson18 2018-06-29 18:58:19 UTC
Created attachment 1455565 [details]
File: var_log_messages

Comment 14 gruszczynskit 2018-06-30 16:21:38 UTC
*** Bug 1596948 has been marked as a duplicate of this bug. ***

Comment 15 Jeremy Harris 2018-06-30 19:57:42 UTC
Similar problem has been detected:

Link-click, middle-button for new tab, from a bookmarked RSS feed.
New tab reported "tab crash".

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 11 -isForBrowser -intPrefs 245:2| -boolPrefs 33:0|163:0|231:1|237:1|299:0| -stringPrefs 285:36;8d261537-dc57-494f-9ecd-127117a93e91| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 2000 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=ebc01ade80d34c53a7555c47c6d5625e;i=109032;b=9067c8d9df40422c8fe9f61ce3cf0e47;m=76c75019;t=56fe12cf51779;x=5fcd8dac36d82dc0
kernel:         4.17.2-200.fc28.x86_64
package:        firefox-61.0-4.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Jeremy Harris 2018-06-30 20:02:36 UTC
Addidtional info wrt. #15 - firefox had recently been dnf-updated, and not
restarted.  So it could be regarded as a user error.

Comment 17 allen 2018-07-03 16:33:29 UTC
*** Bug 1597820 has been marked as a duplicate of this bug. ***

Comment 18 marcin.adam.lewandowski 2018-08-03 13:50:32 UTC
*** Bug 1612116 has been marked as a duplicate of this bug. ***

Comment 19 a6181252 2018-08-04 04:36:36 UTC
Similar problem has been detected:

Everytime I open a new tab or a new window  (including clicking on links). The window/tab  just crashes. The "Restore This Tab" or by closing and reopening methods do not work here. So there is only one usable tab and window for me at the moment. 

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 5 -isForBrowser -intPrefs 6:50|7:-1|19:0|34:1000|42:20|43:5|44:10|51:0|57:128|58:10000|63:0|65:400|66:1|67:0|68:0|69:100|74:0|75:120|76:120|159:2|160:1|164:60|165:30|166:512000|175:5000|177:6|191:8192|192:524288|193:5|206:10000|227:24|228:32768|230:0|231:0|240:5|244:1048576|246:100|247:5000|249:600|250:4|251:1|260:2000|277:3|290:60000|308:300|309:30| -boolPrefs 1:0|2:0|4:1|5:0|24:1|27:0|28:1|29:1|31:1|32:1|33:1|36:0|37:0|38:1|41:1|45:1|46:0|47:0|48:1|49:1|50:1|52:0|55:1|56:1|59:0|60:0|61:0|62:0|64:0|70:1|71:1|72:0|73:1|77:1|78:1|79:0|80:0|81:1|82:1|83:0|84:1|87:0|88:0|91:1|92:1|96:1|97:1|98:0|99:1|100:0|101:0|103:0|104:0|105:1|106:1|107:1|110:1|111:1|112:1|113:1|114:1|115:0|116:0|117:0|119:0|120:1|121:1|122:0|123:0|124:0|125:0|127:1|128:0|129:1|130:1|131:1|132:0|133:0|134:1|135:1|136:1|137:1|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:0|146:1|147:1|148:0|149:1|150:0|152:0|153:0|154:0|155:1|156:1|157:1|158:1|161:1|162:0|172:0|173:0|174:1|178:0|180:1|181:0|182:1|184:1|186:0|187:0|190:0|194:1|195:0|196:1|197:1|198:0|201:1|205:1|207:1|208:0|210:1|213:0|225:0|226:0|229:1|232:0|234:1|235:1|237:1|238:0|245:1|248:1|253:0|254:0|255:0|256:1|257:1|258:0|259:1|264:0|267:1|268:1|269:1|270:1|271:1|272:0|273:0|279:1|282:0|283:0|284:1|285:1|286:0|287:1|288:1|289:1|291:0|292:0|294:0|303:1|304:1|305:0|306:0|307:0| -stringPrefs 3:7;default|151:0;|212:3;1.0|223:332;  |224:4;high| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 3847 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=47b35d81a6434b21847f6321820ea14e;i=17dd;b=224bdd5c983242ca870664442ca003f5;m=20a73b45;t=57294276617dc;x=caafd6a4419abe05
kernel:         4.16.3-301.fc28.x86_64
package:        firefox-59.0.2-1.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Benjamin Hiebert 2018-08-26 23:04:37 UTC
Similar problem has been detected:

I was performing a large update after a fresh install of Fedora 28 Cinnamon

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 12 -isForBrowser -intPrefs 6:50|7:-1|19:0|34:1000|42:20|43:5|44:10|51:0|57:128|58:10000|63:0|65:400|66:1|67:0|68:0|69:100|74:0|75:120|76:120|159:2|160:1|164:60|165:30|166:512000|175:5000|177:6|191:8192|192:524288|193:5|206:10000|227:24|228:32768|230:0|231:0|240:5|244:1048576|246:100|247:5000|249:600|250:4|251:1|260:2000|277:3|290:60000|308:300|309:30| -boolPrefs 1:0|2:0|4:1|5:0|24:1|27:0|28:1|29:1|31:1|32:1|33:1|36:0|37:0|38:1|41:1|45:1|46:0|47:0|48:1|49:1|50:1|52:0|55:1|56:1|59:0|60:0|61:0|62:0|64:0|70:1|71:1|72:0|73:1|77:1|78:1|79:0|80:0|81:1|82:1|83:0|84:1|87:0|88:0|91:1|92:1|96:1|97:1|98:0|99:1|100:0|101:0|103:0|104:0|105:1|106:1|107:1|110:1|111:1|112:1|113:1|114:1|115:0|116:0|117:0|119:0|120:1|121:1|122:0|123:0|124:0|125:0|127:1|128:0|129:1|130:1|131:1|132:0|133:0|134:1|135:1|136:1|137:1|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:0|146:1|147:1|148:0|149:1|150:0|152:0|153:0|154:0|155:1|156:1|157:1|158:1|161:1|162:0|172:0|173:0|174:1|178:1|180:1|181:0|182:1|184:1|186:0|187:0|190:0|194:1|195:0|196:1|197:1|198:0|201:1|205:1|207:1|208:0|210:1|213:0|225:0|226:0|229:1|232:0|234:1|235:1|237:1|238:0|245:1|248:1|253:0|254:0|255:0|256:1|257:1|258:0|259:1|264:0|267:1|268:1|269:1|270:1|271:1|272:0|273:0|279:1|282:0|283:0|284:1|285:1|286:0|287:1|288:1|289:1|291:0|292:0|294:0|303:1|304:0|305:0|306:0|307:0| -stringPrefs 3:7;default|151:0;|212:3;1.0|223:332;  |224:4;high| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 2442 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=561daf17abb540d6958ab37941ca9e67;i=284e;b=7c8667adbbed4a0394df623500d02ad7;m=c24a09c5;t=5745e6678046c;x=8976e661778c24af
kernel:         4.16.3-301.fc28.x86_64
package:        firefox-61.0.2-3.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Brian Collins 2018-09-02 12:29:09 UTC
*** Bug 1624616 has been marked as a duplicate of this bug. ***

Comment 22 Paulim_hed 2018-09-16 15:44:02 UTC
*** Bug 1629467 has been marked as a duplicate of this bug. ***

Comment 23 christ_cb 2018-09-18 16:38:35 UTC
Similar problem has been detected:

Was updating the system and suddenly firefox crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 7 -isForBrowser -intPrefs 6:50|7:-1|19:0|34:1000|42:20|43:5|44:10|51:0|57:128|58:10000|63:0|65:400|66:1|67:0|68:0|69:100|74:0|75:120|76:120|159:2|160:1|164:60|165:30|166:512000|175:5000|177:6|191:8192|192:524288|193:5|206:10000|227:24|228:32768|230:0|231:0|240:5|244:1048576|246:100|247:5000|249:600|250:4|251:1|260:2000|277:3|290:60000|308:300|309:30| -boolPrefs 1:0|2:0|4:1|5:0|24:1|27:0|28:1|29:1|31:1|32:1|33:1|36:0|37:0|38:1|41:1|45:1|46:0|47:0|48:1|49:1|50:1|52:0|55:1|56:1|59:0|60:0|61:0|62:0|64:0|70:1|71:1|72:0|73:1|77:1|78:1|79:0|80:0|81:1|82:1|83:0|84:1|87:0|88:0|91:1|92:1|96:1|97:1|98:0|99:1|100:0|101:0|103:0|104:0|105:1|106:1|107:1|110:1|111:1|112:1|113:1|114:1|115:0|116:0|117:0|119:0|120:1|121:1|122:0|123:0|124:0|125:0|127:1|128:0|129:1|130:1|131:1|132:0|133:0|134:1|135:1|136:1|137:1|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:0|146:1|147:1|148:0|149:1|150:0|152:0|153:0|154:0|155:1|156:1|157:1|158:1|161:1|162:0|172:0|173:0|174:1|178:0|180:1|181:0|182:1|184:1|186:0|187:0|190:0|194:1|195:0|196:1|197:1|198:0|201:1|205:1|207:1|208:0|210:1|213:0|225:0|226:0|229:1|232:0|234:1|235:1|237:1|238:0|245:1|248:1|253:0|254:0|255:0|256:1|257:1|258:0|259:1|264:0|267:1|268:1|269:1|270:1|271:1|272:0|273:0|279:1|282:0|283:0|284:1|285:1|286:0|287:1|288:1|289:1|291:0|292:0|294:0|303:1|304:1|305:0|306:0|307:0| -stringPrefs 3:7;default|151:0;|212:3;1.0|223:332;  |224:4;high| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 2308 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=af209d63a423475498aef46091a7d27f;i=2720;b=a3298fccc32842ce92820fe4bff0f3c3;m=4e405cbe;t=576279b62bd1c;x=a10cc4a188939e1a
kernel:         4.16.3-301.fc28.x86_64
package:        firefox-59.0.2-1.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 xx5aledxx 2018-09-21 15:59:37 UTC
*** Bug 1631821 has been marked as a duplicate of this bug. ***

Comment 25 Paulim_hed 2018-09-29 02:50:21 UTC
*** Bug 1634218 has been marked as a duplicate of this bug. ***

Comment 26 Andrew Allgood 2018-10-07 06:01:12 UTC
*** Bug 1636709 has been marked as a duplicate of this bug. ***

Comment 27 richardherist 2018-10-18 02:33:45 UTC
*** Bug 1640413 has been marked as a duplicate of this bug. ***

Comment 28 Mikhail 2018-10-30 19:47:46 UTC
*** Bug 1644431 has been marked as a duplicate of this bug. ***

Comment 29 John Roden 2018-11-01 15:25:09 UTC
Similar problem has been detected:

Two tabs open with following URLs
https://mariadb.com/kb/en/library/mariadb-10310-release-notes/
https://docs.python.org/2.7/tutorial/datastructures.html#using-lists-as-stacks

The system error reporter suddenly appeared but Firefox continued working. After several minutes
Firefox showed a polite message and closed down.  I've no idea why!

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 14 -isForBrowser -prefsLen 20272 -schedulerPrefs 0001,2 -parentBuildID 20181009141245 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 10063 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=662877d8bd014fa091684201afe95dc5;i=f5e1;b=9f85bc9853904991b8eb01d60c92dbd8;m=14564f412b9;t=5799bd379a7eb;x=e987082c19cdfecf
kernel:         4.18.13-200.fc28.x86_64
package:        firefox-63.0-2.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 Ken Dubrick 2018-11-03 21:03:46 UTC
Similar problem has been detected:

opening two tabs 

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 5 -isForBrowser -prefsLen 16659 -schedulerPrefs 0001,2 -parentBuildID 20181009141245 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 18643 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=af2ad10fdd794926b9b83d0996b70feb;i=11de2;b=ca372dbab5a24c2ebba70d6beaa7fe6f;m=388a701dd;t=579c8ea0ed153;x=50f71d49c28de860
kernel:         4.18.14-200.fc28.x86_64
package:        firefox-63.0-2.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 31 Dr. Firas Swidan 2018-11-04 16:06:39 UTC
*** Bug 1645876 has been marked as a duplicate of this bug. ***

Comment 32 Ignace BIENVILLE 2018-11-05 02:37:13 UTC
Similar problem has been detected:

je ne sais pas

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 6 -isForBrowser -prefsLen 19986 -schedulerPrefs 0001,2 -parentBuildID 20181009141245 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 3075 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=846768482d6a4ce7959449b76d5e2b5f;i=13f45f;b=8733d91790d641a49d90f21866603136;m=9ec62f4982;t=579b91ee1e286;x=61b01c4453b000c6
kernel:         4.18.16-200.fc28.x86_64
package:        firefox-63.0-2.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 33 Carlos Leyes 2018-11-18 02:42:10 UTC
Similar problem has been detected:

I dont remember.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 13 -isForBrowser -prefsLen 19015 -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 4275 true tab
crash_function: mozilla::dom::ContentChild::~ContentChild
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=83e0fa78a36c4ca3887a18ce2fc68c97;i=12e90;b=61433847c7324b81b25654190246d795;m=2dfea083c;t=57562723732be;x=eb7c1468e102540d
kernel:         4.17.19-200.fc28.x86_64
package:        firefox-62.0-2.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 34 Spyros 2018-11-29 22:39:21 UTC
*** Bug 1654877 has been marked as a duplicate of this bug. ***